Bug 491884 - Review Request: atasm - 6502 cross-assembler
Review Request: atasm - 6502 cross-assembler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 10:25 EDT by Dan Horák
Modified: 2009-04-08 04:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 04:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-03-24 10:25:18 EDT
Spec URL: http://fedora.danny.cz/atasm.spec
SRPM URL: http://fedora.danny.cz/atasm-1.06-1.fc11.src.rpm

Description:
ATasm is a 6502 command-line cross-assembler that is compatible with the
original Mac/65 macroassembler released by OSS software.  Code
development can now be performed using "modern" editors and compiles
with lightning speed.
Comment 1 Jason Tibbitts 2009-04-06 15:52:09 EDT
Builds fine and rpmlint is silent.  There's really not much to this package; the only thing I can note is that the documentation makes up about 80% of the package, but it's still very small and splitting out the docs would be dumb.

* source files match upstream.  sha256sum:
   9822e96baa39a16e8c46c0d4892bd76157f7de1fffd6c8d6ced1bda809450171  
   atasm106.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   atasm = 1.06-1.fc11
   atasm(x86-64) = 1.06-1.fc11
  =
   libz.so.1()(64bit)

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jason Tibbitts 2009-04-06 15:54:02 EDT
Hmm, I just noticed that you manually gzip the manpage; I would recommend against that as rpm will do it for you one day we may want to change the compression method.
Comment 3 Dan Horák 2009-04-07 02:39:30 EDT
Thanks for the review, I will update the spec before importing.
Comment 4 Dan Horák 2009-04-07 02:40:42 EDT
New Package CVS Request
=======================
Package Name: atasm
Short Description: 6502 cross-assembler
Owners: sharkcz
Branches: F-9 F-10 EL-5
Comment 5 Kevin Fenzi 2009-04-07 22:41:44 EDT
cvs done.
Comment 6 Dan Horák 2009-04-08 04:31:21 EDT
imported and built

Note You need to log in before you can comment on or make changes to this bug.